/*
 *
 * Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common Development
 * and Distribution License("CDDL") (collectively, the "License").  You
 * may not use this file except in compliance with the License. You can obtain
 * a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
 * or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * When distributing the software, include this License Header Notice in each
 * file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
 * Sun designates this particular file as subject to the "Classpath" exception
 * as provided by Sun in the GPL Version 2 section of the License file that
 * accompanied this code.  If applicable, add the following below the License
 * Header, with the fields enclosed by brackets [] replaced by your own
 * identifying information: "Portions Copyrighted [year]
 * [name of copyright owner]"
 *
 * Contributor(s):
 *
 * If you wish your version of this file to be governed by only the CDDL or
 * only the GPL Version 2, indicate your decision by adding "[Contributor]
 * elects to include this software in this distribution under the [CDDL or GPL
 * Version 2] license."  If you don't indicate a single choice of license, a
 * recipient has the option to distribute your version of this file under
 * either the CDDL, the GPL Version 2 or to extend the choice of license to
 * its licensees as provided above.  However, if you add GPL Version 2 code
 * and therefore, elected the GPL Version 2 license, then the option applies
 * only if the new code is made subject to such option by the copyright
 * holder.
 */
package client;


import ejb_endpoint.DegreeConverterService;
import ejb_endpoint.*;

import servlet_endpoint.WeatherServiceService;

import javax.xml.ws.WebServiceRef;
import javax.xml.ws.WebServiceRefs;


/**
 * This class shows a basic test on how to use
 * <code>WebServiceRefs</code> with multiple <WebServiceRef> elements
 * For example we have two services one is a Servlet endpoint
 * and another is an ejb endpoint
 * @author Bhakti Mehta
 */
/*@WebServiceRefs({
//@WebServiceRef(name="service/MyServletService", type=servlet_endpoint.WeatherServiceService.class, wsdlLocation="http://localhost:8080/weatherservice/GetWeather?wsdl"),
@WebServiceRef(name="service/MyEjbService", type=ejb_endpoint.DegreeConverterService.class, wsdlLocation="http://localhost:8080/DegreeConverterService/DegreeConverter?wsdl") })*/
public class Client {
            static DegreeConverter port ;
static{
            DegreeConverterService degConverter = new DegreeConverterService();
            port = degConverter.getDegreeConverterPort();
}
    public static void main(String[] args) {

        Client client = new Client();
        client.invokeWebServices();
    }

    public void invokeWebServices() {
        try {

            javax.naming.InitialContext ic = new javax.naming.InitialContext();
            /*WeatherServiceService svc = (WeatherServiceService)ic.lookup("java:comp/env/service/MyServletService");
Throwable t = new Throwable();
t.fillInStackTrace();
t.printStackTrace();
            float temp = svc.getWeatherServicePort().echoTemperature("90210");
            System.out.println("Invoking the weather service for zip 90210.. " );
            System.out.println("Temperature for zip 90210 is " + temp + "\n");
*/
float temp=80;
            //DegreeConverterService degConverter = (DegreeConverterService)ic.lookup("java:comp/env/service/MyEjbService");
            System.out.println("Invoking the degree converter service for zip 90210.. " );
            float degree = port.fahrenheitToCelsius(temp);

            System.out.println("Temperature in degrees is " + degree);

        } catch(Exception e) {
            e.printStackTrace();

        }
    }

  
}

